import request from '@/utils/request'

// 查询职称评审列表
export function listEval(query) {
  return request({
    url: '/oa/titleEval/list',
    method: 'get',
    params: query
  })
}

// 查询职称评审详细
export function getEval(titleEvalId) {
  return request({
    url: '/oa/titleEval/' + titleEvalId,
    method: 'get'
  })
}

// 新增职称评审
export function addEval(data) {
  return request({
    url: '/oa/titleEval',
    method: 'post',
    data: data
  })
}

// 修改职称评审
export function updateEval(data) {
  return request({
    url: '/oa/titleEval',
    method: 'put',
    data: data
  })
}

// 删除职称评审
export function delEval(titleEvalId) {
  return request({
    url: '/oa/titleEval/' + titleEvalId,
    method: 'delete'
  })
}
